{#
/**
 * @file
 * DOPA Data Module to show a standard data card. 
 *
 * Module variables (in the the data object):
 * - data.name
 * - data.description
 * - data.descriptionLong
 * - data.buttonGroup
 * - data.chart
 * - data.table
 * - data.legend
 * - data.other
 * - data.link
 * - data.linkText
 *
 */
#} 

<div class="card mb-3 bg-gray-1200 text-white-50">
  <div class="card-body">
	<h5 class="card-title d-flex justify-content-between" id="card-title-{{ cardId }}" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ cardId }}" aria-expanded="false" aria-controls="collapse{{ data.name|replace({' ': ''}) }}"><div class="inner-card-title">{{ data.name|raw }}</div><div class="data-collapsed"><i class="fas fa-toggle-off"></i></div><div class="data-expanded"><i class="fas fa-toggle-on"></i></div></h5> 
	<div class="card-text">
	  {{ data.description|raw }}
	  <br>
	  <div class="collapse wrapper-data-card" id="collapse{{ cardId }}"> 
		{% if data.descriptionLong %}
		  <hr>
		  {{ data.descriptionLong|raw }}
		{% endif %}
		{% if data.buttonGroup %}
			<div class="wrapper-button-group my-2">
				{% for button in data.buttonGroup %}
					<button class="btn btn-info {{button.class}}" data-card-id="{{ cardId }}" id="action-button-{{ button.id }}" type="button" 
					{% if button.customData %} {{button.customData}} {% endif %}>
						{{button.title}}
					</button> 
				{% endfor %}
			</div>
		{% endif %}
		{% if data.chart == true %}
		  <hr>
		  <div class="report-icon" data-bs-toggle="tooltip" data-bs-html=true data-bs-placement="right" title="add this chart to a report"><i class="far fa-file-alt"><i class="fas fa-plus report-interact"></i><i class="fas fa-minus report-interact"></i></i></div>
		  <div class="data-chart" id="{{ cardId }}"></div>
		{% endif %}
		{% if data.table == true %}
		  <hr>
		  <div class="report-icon" data-bs-toggle="tooltip" data-bs-html=true data-bs-placement="right" title="add this table to a report"><i class="far fa-file-alt"><i class="fas fa-plus report-interact"></i><i class="fas fa-minus report-interact"></i></i></div>
		  <div class="wrapper-data-table"><table class="data-table display" id="data-table-{{ cardId }}" width="100%"></table></div>
		{% endif %}
		{% if data.layers %}
		  <hr>
		  {% if data.layers|length > 1 %}
			<h6>Map Layers</h6>
			<div class="wrapper-layer-buttons">
			{% for layer in data.layers %}
				<button class="btn btn-info layer-button {% if layer.customArgs %}custom-layer-args{% endif %} {% if loop.first %}active{% endif %}" data-card-id="{{ cardId }}" data-layer-id="{{ layer.id }}" id="layer-button-{{ layer.id }}" type="button">{{ layer.buttonTitle }}</button> 
			{% endfor %}
			</div>
		  {% endif %}
		  {% include 'data-card-layer.html.twig' %}
		{% endif %}
		{% if data.other %}
		  {{ data.other|raw }}
		{% endif %}
	  </div>
	  <div class="info-icon float-right">
		<a href="{{ data.link }}" target="_blank" data-bs-toggle="tooltip" data-bs-html=true data-bs-placement="right" title="{% if data.linkText %}
		  {{ data.linkText }} {% else %} Get more info about {{ data.name|raw }}
		{% endif %}"> <i class="fas fa-info-circle text-secondary"></i> </a>
	  </div>
	</div>
  </div>
</div> 
